package com.sqx.modules.driver.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.driver.entity.Driver;


public interface DriverService extends IService<Driver> {

    Result insertDriver(Driver driver);

    Driver selectDriverByUserId(Long userId);

    Result updateDriver(Driver driver);

    Result deleteDriver(Long driverId);

    Result selectDriverList(Integer page,Integer limit,String driverName,String userName,String phone,Integer status);

    Result auditDriver(String ids,Integer status,String auditContent);


}
